

Deltat = .001;

z_w = 1;
z0 = 2;
Deltaz0 = z0 - z_w;

M = 2;
K = 10;

tfinal = 5;


B = 2*sqrt(20) ;   % vary the values of B


clear tout yout zw
sim('spring_wall_scope')
%sim('wall_stateflow')
y1 = yout;t1 = tout;
for i = 1:length(tout)
     zw(i) = z_w;
end

figure(1)
clf

plot(tout,yout(:,1),'-',tout,yout(:,2),'--',tout,yout(:,3),'-.',tout,zw,'k:')
legend('z','zdot','zddot','z_w',4)
title(['K = ',num2str(K),', B = ',num2str(B),', M = ',num2str(M)])
xlabel('time, seconds')
%grid

char_roots = roots([M  B K]);
wn = abs(char_roots(1));
zeta = -real(char_roots(1))/wn;

figure(2)
clf

plot(real(char_roots),imag(char_roots),'d')
%grid
axis('equal')
axis([-10 0 -5 5])
sgrid
if abs(zeta) < 1
    title([' \zeta = ',num2str(zeta),', \omega_n = ',num2str(wn)])
else
    title('real roots')
end


clear tout yout zw
%sim('spring_wall_scope')
sim('wall_stateflow')

for i = 1:length(tout)
     zw(i) = z_w;
end

figure(3)
clf

plot(tout,yout(:,1),'-',tout,yout(:,2),'--',tout,yout(:,3),'-.',tout,zw,'k:')
legend('z','zdot','zddot','z_w',4)
title(['K = ',num2str(K),', B = ',num2str(B),', M = ',num2str(M)])
xlabel('time, seconds')
%grid

char_roots = roots([M  B K]);
wn = abs(char_roots(1));
zeta = -real(char_roots(1))/wn;

figure(4)
clf

plot(real(char_roots),imag(char_roots),'d')
%grid
axis('equal')
axis([-10 0 -5 5])
sgrid
if abs(zeta) < 1
    title([' \zeta = ',num2str(zeta),', \omega_n = ',num2str(wn)])
else
    title('real roots')
end
 
figure(5)
clf
plot(t1,y1(:,1),'-',tout,yout(:,1),'--')
legend('puck position, Simulink model','puck position, Stateflow model')
xlabel('time, seconds')